cf.llama-3.2-1b-instruct API on AvalAI
cf.llama-3.2-1b-instructcf.llama-3.2-1b-instruct is an AI model from Meta that is available through AvalAI's OpenAI-compatible API.
Use cf.llama-3.2-1b-instruct with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "cf.llama-3.2-1b-instruct", "messages": [{"role": "user", "content": "Give a concise, practical solution."}]}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.chat.completions.create(
model="cf.llama-3.2-1b-instruct",
messages=[{"role": "user", "content": "Give a concise, practical solution."}],
)
print(response.choices[0].message.content)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.chat.completions.create({
model: "cf.llama-3.2-1b-instruct",
messages: [{ role: "user", content: "Give a concise, practical solution." }],
});
console.log(response.choices[0].message.content);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
cf.llama-3.2-1b-instruct rate limits
| Tier | RPM | TPM |
|---|---|---|
| Basic | 1 | 40,000 |
| Tier 1 | 250 | 450,000 |
| Tier 2 | 500 | 800,000 |
| Tier 3 | 750 | 1,200,000 |
| Tier 4 | 1,000 | 2,000,000 |
| Tier 5 | 1,500 | 4,000,000 |
Related models
- cf.llama-3.2-3b-instruct
- cf.llama-3.3-70b-instruct-fp8-fast
- cf.llama-3.1-8b-instruct-fast
- cf.llama-guard-3-8b
Frequently asked questions
What is the cf.llama-3.2-1b-instruct API on AvalAI?
Create an AvalAI API key and send the model ID cf.llama-3.2-1b-instruct to one of the supported endpoints shown on this page.
How much does the cf.llama-3.2-1b-instruct API cost on AvalAI?
The cf.llama-3.2-1b-instruct API on AvalAI costs $0.03 per 1M input tokens and $0.03 per 1M output tokens.
What is the token cost for cf.llama-3.2-1b-instruct?
Current AvalAI pricing for cf.llama-3.2-1b-instruct is $0.03 / 1M tokens for input and $0.03 / 1M tokens for output.
What is the cf.llama-3.2-1b-instruct context window?
The recorded maximum input context for cf.llama-3.2-1b-instruct is 128,000 tokens.
What are the rate limits for cf.llama-3.2-1b-instruct on AvalAI?
On tier 5, cf.llama-3.2-1b-instruct on AvalAI supports up to 1,500 requests per minute and 4,000,000 tokens per minute.
What features does cf.llama-3.2-1b-instruct support on AvalAI?
cf.llama-3.2-1b-instruct on AvalAI supports Function calling.
What account tier is required to use cf.llama-3.2-1b-instruct on AvalAI?
Calling cf.llama-3.2-1b-instruct on AvalAI requires the Basic tier (tier 0) or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)